Subject: Re: [i2c] [PATCH 3/5] powerpc: Document device nodes for I2C devices.

From: Jean Delvare <[email-masked]>
Date: Sun, 20 May 2007 13:53:53 +0200

Hi Scott,

On Fri, 18 May 2007 12:55:45 -0500, Scott Wood wrote:
> Fair enough.  I'm still interested in what you think would need to be 
> done to support switches and muxes, from the context of standardizing it 
> in ePAPR.  The bus numbering shouldn't be an issue as long as you keep 
> the bus numbers local to the switch/mux, and don't pretend that they 
> have anything to do with any global i2c bus number that the OS may or 
> may not have.

But then you cannot declare devices on these segments and expect Linux
to instantiate them. You'll have to wait for the segments to be created
and only then you'll be able to create the devices on them (using
i2c_new_device()).

Also, what's the point of giving numbers to the segments in the first
place, if they don't correspond to anything?

-- 
Jean Delvare